#
# spec file for package lxqt-globalkeys
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-globalkeys
Version:        0.12.0
Release:        lp151.2.6
Summary:        Global keyboard shortcuts registration
License:        LGPL-2.1+
Group:          System/GUI/LXQt
Url:            http://www.lxqt.org
Source:         https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source1:        https://github.com/lxde/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  lxqt-build-tools-devel >= 0.4.0
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(lxqt) >= %{version}
Requires(pre):	desktop-file-utils
Requires(post):	desktop-file-utils
Obsoletes:      lxqt-globalkeys-qt5 < %{version}
Provides:       lxqt-globalkeys-qt5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Daemon and library for global keyboard shortcuts registration

%package devel
Summary:        Development files for lxqt-globalkeys
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       liblxqt-globalkeys-ui0 = %{version}
Requires:       liblxqt-globalkeys0 = %{version}
Requires:       pkgconfig

%description devel
Development files for lxqt-globalkeys including headers and libraries

%package -n liblxqt-globalkeys0
Summary:        Lxqt-globalkeys libraries
Group:          System/Libraries

%description -n liblxqt-globalkeys0
lxqt-globalkeys main system library

%package -n liblxqt-globalkeys-ui0
Summary:        UI lxqt-globalkeys libraries
Group:          System/Libraries
Recommends:     %{name}-lang

%description -n liblxqt-globalkeys-ui0
UI system libraries for lxqt-globalkeys

%prep
%setup -q
# Changing LXQt into X-LXQt in desktop files to be freedesktop compliant and shut rpmlint warnings
#find -name '*desktop.in*' -exec sed -ri 's/(LXQt;)/X-\1/' {} +

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install
%fdupes -s %{buildroot}

%post -n liblxqt-globalkeys0 -p /sbin/ldconfig

%postun -n liblxqt-globalkeys0 -p /sbin/ldconfig

%post -n liblxqt-globalkeys-ui0 -p /sbin/ldconfig

%postun -n liblxqt-globalkeys-ui0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE
%dir %{_sysconfdir}/xdg/
%dir %{_sysconfdir}/xdg/autostart/
%dir %{_sysconfdir}/xdg/lxqt/
%{_bindir}/lxqt-globalkeysd
%{_bindir}/lxqt-config-globalkeyshortcuts
%{_datadir}/applications/lxqt-config-globalkeyshortcuts.desktop
%{_sysconfdir}/xdg/autostart/lxqt-globalkeyshortcuts.desktop
%config %{_sysconfdir}/xdg/lxqt/globalkeyshortcuts.conf

%files devel
%defattr (-,root,root)
%{_includedir}/%{name}
%{_includedir}/lxqt-globalkeys-ui
%{_libdir}/pkgconfig/*.pc
%{_libdir}/liblxqt-globalkeys.so
%{_libdir}/liblxqt-globalkeys-ui.so
%dir %{_datadir}/cmake/lxqt-globalkeys
%dir %{_datadir}/cmake/lxqt-globalkeys-ui
%{_datadir}/cmake/lxqt-globalkeys/*
%{_datadir}/cmake/lxqt-globalkeys-ui/*

%files -n liblxqt-globalkeys0
%defattr(-,root,root)
%{_libdir}/liblxqt-globalkeys.so.*

%files -n liblxqt-globalkeys-ui0
%defattr(-,root,root)
%{_libdir}/liblxqt-globalkeys-ui.so.*

%changelog
* Mon Oct 23 2017 mvetter@suse.com
- Update to 0.12.0:
  * Set patch version
  * Don't export github templates
  * fix deadlock - don't accept keyPress when processing dbus call (#56)
  * Added Lithuanian language
  * lxqt-config-globalkeys: set Qt::AA_UseHighDpiPixmaps to true
  * Added QCommandLineParser and basic cli interface to lxqt-config-globalkeys
  * Adeed LXQT_GLOBALKEYS_PATCH_VERSION
  * Fixes a FTBFS in superbuild mode (#51)
  * Added autostart and xdg to CMakeLists.txt
  * changed xdg/CmakeLists.txt
  * fixed xdg/CMakeLists.txt renamed config to xdg - merge preparation
  * Use const iterators
  * globalkeys: Open "empty" browser on activation
  * Updated *_da.desktop files and removed *_da_DK.desktop files
  * Update AUTHORS
  * Open https://duckduckgo.com instead of google.com as default
  * Update desktop entries and Replace fr_FR by fr
  * lxqt-rc.xml: Change default config install path
  * Settings Openbox updated.
  * Screenshot (Shift+Print), file manager (ctl+Alt+e) and web browser (Ctl+atl+i) key shortcuts added.
  * Default key shortcuts added to lxqt-globalkeysd.
  * Update Greek translation (el) Remove country variant from language code
  * CMake: Adds Runtime and Devel install COMPONENTs
  * Coding style changes
  * Adds double quotes to everything that may break
  * Updates the build system to use the Targets infrastructure
  * Drops hardcoded /etc/xdg paths
  * Updated german translation, replaced Qt4 by Qt in all xsession/translations
  * Updates translations infrastructure
  * Update the required minimum cmake version
  * remove dead template lines switch OnlyShowIn from Razor -> LXQt stringchanges LxQt -> LXQt
  * Add session.conf and windowmanagers.conf.
  * Support lxqt-session and add necessary xdg autostart desktop entry files.
  * Rename dirs and replace razor with lxqt. Install lxqt.conf to /etc/xdg/lxqt and provide theme config.
  * Properly set default wallpaper for pcmanfm-qt. Comment out openbox config handling in startlxde-qt since it's not needed.
  * Fix file paths, replacing razor with lxqt. * Remove Alt+F2 and Ctrl+Esc from openbox config file to avoid conflicts with lxqt-panel & lxqt-globalkeys.
  * Add default configuration files for lxde-qt session.
- Remove post and postun
* Thu Feb 23 2017 sfalken@opensuse.org
- Update to 0.11.1:
  * Added *da.desktop
  * Use the lxqt-build-tools/lxqt_create_portable_headers
  * Use the new lxqt-build-tools package
  * Create lxqt-config-globalkeyshortcuts_fr.desktop
  * Remove cpack (#41)
* Sat Sep 24 2016 mvetter@suse.com
- Update to 0.11.0:
  * Add README.md
  * Add Catalan translation
  * daemon: Use QDBusServiceWatcher
  * Fix typo in German translation for desktop file (#38)
  * build: Use external translations
  * ts-files removal (#35)
  * Improve foreach iterator use
  * daemon/core: Optimize Core startup string stuff
  * Client: Fix memory leak (static data)
  * Fix untranslated string in French translation
  * fix reseting the state of the edit dialog
  * Default configs from /etc/xdg/lxqt must be loaded.
  * static_cast<error_t>, fixes FTBFS for the Hurd
  * lxqt-globalkeys is LGPL only, there are no GPL files in it
  * Update italian translation, remove country-specific variant
  * Italian translation update
  * Update Russian translation Remove ru_RU files
  * Update French translation
  * client: Fix typo in pkg-config dependencies
  * upd: lxqt-config-globalkeyshortcuts_hu.ts
  * Fix warning
- Add keyring
* Fri Nov  6 2015 mvetter@suse.com
- Upstream release 0.10.0
- Removing patches:
  * fix_desktop_categories.patch - Using sed in spec file now
* Fri Feb 20 2015 sfalken@opensuse.org
- Updated %%build and %%install to use cmake macros
* Mon Feb  9 2015 sfalken@opensuse.org
- New upstream version 0.9.0
- Added -lang subpackage
- Added Patch
  + fix_desktop_categories.patch
- Dropped -qt5 package naming, as none of the internal library
  names use -qt5 in 0.9.0.  Added Obsoletes and Conflicts, in the
  odd chance that lxqt-globalkeys-0.7.0 and lxqt-globalkeys >=0.8.0
  are installed on the same system.  Which should never happen.
  lxqt-0.9.0 is not likely to be pushed to 13.2, and liblxqt can no
  longer be built against Qt4.
* Tue Feb  3 2015 dvaleev@suse.com
- aarch64 ppc64 ppc64le have /usr/lib64 too
* Sun Jan 25 2015 sfalken@opensuse.org
- Added conditionals to enable Fedora builds
* Sat Oct 25 2014 andrea@opensuse.org
- new upstream version 0.8.0
* Tue May 13 2014 andrea@opensuse.org
- spec file working - split out libraries subpackages
* Tue May 13 2014 sfalken@opensuse.org
- Specfile Cleanup
* Mon May 12 2014 sfalken@opensuse.org
- Removed fedora specfile, split into subproject
  Del:  lxqt-globalkeys-Fedora_20.spec
* Sat May 10 2014 sfalken@opensuse.org
- Ran spec-cleaner on openSUSE specfile
* Fri May  9 2014 sfalken@opensuse.org
- Added specfile for Fedora_20
  Add:  lxqt-globalkeys-Fedora_20.spec
* Fri May  9 2014 sfalken@opensuse.org
- Added tarball for new stable release
  Add:  lxqt-globalkeys-0.7.0.tar.xz
  Del:  _service
* Wed Apr  2 2014 sfalken@opensuse.org
- Removed direct cmake calls, in favour of %%cmake and %%cmake_install
* Wed Apr  2 2014 sfalken@opensuse.org
- Removed patch, as it didn't accomplish the desired effect
  Deleted: 0001_lxqt_globalkey_desktop.patch
* Wed Apr  2 2014 sfalken@opensuse.org
- Added patch to correct .desktop file
  Add: 0001_lxqt_globalkey_desktop.patch
* Wed Apr  2 2014 sfalken@opensuse.org
- Initial Source Upload
  Add: _service
  Add: lxqt-globalkeys.spec
  Add: lxqt-globalkeys.changes
